module Velcro
  # Handle interactions with the shell
  module Shell
    def self.included(base)
      base.send(:attr_reader, :dryrun)
    end

    def shell(command)
      dryrun? ? puts(command) : system(command)
    end

    def dryrun?
      @dryrun == true
    end

    def dryrun!
      @dryrun = true
    end
  end
end
