module Velcro
  module Status
    # Find the current status of your dotfiles directory
    class Dotfiles
      def self.print
        printf '## Dotfiles - '
        if installed?
          puts 'Installed'
          puts "=> #{Velcro.config.dotfiles}"
        else
          puts 'Not Installed'
        end
      end

      def self.installed?
        File.exist? Velcro.config.dotfiles
      end
    end
  end
end
