module Velcro
  module Status
    # Provide information about the git installation
    class Git
      def self.print
        printf '## Git - '
        if installed?
          puts 'Installed'
          puts `git --version`
        else
          puts 'Not Installed'
        end
      end

      def self.installed?
        (`which git` =~ /not found/).nil?
      end
    end
  end
end
